def demonstrate_list_operations():
    """リストへの要素追加の異なる方法を示す関数"""
    
    # 1. += 演算子を使用する方法
    print("1. += 演算子の使用:")
    list1 = [1, 2, 3]
    list1 += [4, 5]  # リストを直接結合
    print(f"  結果: {list1}")  # [1, 2, 3, 4, 5]
    
    # 2. extend()メソッドを使用する方法
    print("\n2. extend()メソッドの使用:")
    list2 = [1, 2, 3]
    list2.extend([4, 5])  # リストを拡張
    print(f"  結果: {list2}")  # [1, 2, 3, 4, 5]
    
    # 3. 比較: appendとextendの違い
    print("\n3. appendとextendの違い:")
    list_append = [1, 2, 3]
    list_extend = [1, 2, 3]
    
    list_append.append([4, 5])  # リストを要素として追加
    list_extend.extend([4, 5])  # リストの要素を追加
    
    print(f"  append結果: {list_append}")  # [1, 2, 3, [4, 5]]
    print(f"  extend結果: {list_extend}")  # [1, 2, 3, 4, 5]
    
    # 4. 複数の値を一度に追加
    print("\n4. 複数値の追加:")
    list4 = [1, 2, 3]
    list4 += [4, 5, 6]  # 複数の値を一度に追加
    print(f"  結果: {list4}")  # [1, 2, 3, 4, 5, 6]
    
    # 5. イテレータからの追加
    print("\n5. イテレータからの追加:")
    list5 = [1, 2, 3]
    list5.extend(range(4, 7))  # rangeオブジェクトから追加
    print(f"  結果: {list5}")  # [1, 2, 3, 4, 5, 6]


if __name__ == '__main__':
    demonstrate_list_operations() 